petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscStrgrt

If first string is greater than the second

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrgrt(const char a[],const char b[],PetscBool  *t)

Not Collective

### Input Parameters

| a | - pointer to first string
| b | - pointer to second string

### Output Parameter

flg -if the first string is greater

### Notes

Null arguments are ok, a null string is considered smaller than all others

Not for use in Fortran

### See Also

PetscStrcmp(), PetscStrncmp(), PetscStrcasecmp()

### Level

intermediate

### Location

src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages